from enum import Enum

class Review(Enum):
    none = 0
    denied = 1
    accepted = 2

    @classmethod
    def parse_string(cls, string):
        if string == 'accept' or string == 'accepted':
            return cls.accepted
        if string == 'deny' or string == 'denied':
            return cls.denied
        return cls.none